OpenGLRaw-3.3.4.1: A raw binding for the OpenGL graphics system

Copyright | (c) Sven Panne 2019
License | BSD3
Maintainer | Sven Panne <svenpanne@gmail.com>
Stability | stable
Portability | portable
Safe Haskell | None
Language | Haskell2010

Graphics.GL.NV.GPUProgram5

Contents

- Extension Support
- Enums
- Functions

Description

Synopsis

- glGetNVGPUProgram5 :: MonadIO m => m Bool
- gl_NV_gpu_program5 :: Bool
- pattern GL_FRAGMENT_PROGRAM_INTERPOLATION_OFFSET_BITS_NV :: GLenum
- pattern GL_MAX_FRAGMENT_INTERPOLATION_OFFSET_NV :: GLenum
- pattern GL_MAX_GEOMETRY_PROGRAM_INVOCATIONS_NV :: GLenum
- pattern GL_MAX_PROGRAM_SUBROUTINE_NUM_NV :: GLenum
- pattern GL_MAX_PROGRAM_SUBROUTINE_PARAMETERS_NV :: GLenum
- pattern GL_MAX_PROGRAM_TEXTURE_GATHER_OFFSET_NV :: GLenum
- pattern GL_MIN_FRAGMENT_INTERPOLATION_OFFSET_NV :: GLenum
- pattern GL_MIN_PROGRAM_TEXTURE_GATHER_OFFSET_NV :: GLenum
- glGetProgramSubroutineParameteruivNV :: MonadIO m => GLenum -> GLuint -> Ptr GLuint -> m ()
- glProgramSubroutineParametersuivNV :: MonadIO m => GLenum -> GLsizei -> Ptr GLuint -> m ()

# Extension Support

glGetNVGPUProgram5 :: MonadIO m => m Bool Source #

Is the NV_gpu_program5 extension supported?

gl_NV_gpu_program5 :: Bool Source #

Is the NV_gpu_program5 extension supported? Note that in the presence of multiple contexts with different capabilities, this might be wrong. Use `glGetNVGPUProgram5` in those cases instead.

# Enums

pattern GL_FRAGMENT_PROGRAM_INTERPOLATION_OFFSET_BITS_NV :: GLenum Source #

pattern GL_MAX_FRAGMENT_INTERPOLATION_OFFSET_NV :: GLenum Source #

pattern GL_MAX_GEOMETRY_PROGRAM_INVOCATIONS_NV :: GLenum Source #

pattern GL_MAX_PROGRAM_SUBROUTINE_NUM_NV :: GLenum Source #

pattern GL_MAX_PROGRAM_SUBROUTINE_PARAMETERS_NV :: GLenum Source #

pattern GL_MAX_PROGRAM_TEXTURE_GATHER_OFFSET_NV :: GLenum Source #

pattern GL_MIN_FRAGMENT_INTERPOLATION_OFFSET_NV :: GLenum Source #

pattern GL_MIN_PROGRAM_TEXTURE_GATHER_OFFSET_NV :: GLenum Source #

# Functions

glGetProgramSubroutineParameteruivNV Source #

Arguments

:: MonadIO m |
=> GLenum | `target`.
-> GLuint | `index`.
-> Ptr GLuint | `param` pointing to `COMPSIZE(target)` elements of type `GLuint`.
-> m () |

glProgramSubroutineParametersuivNV Source #

Arguments

:: MonadIO m |
=> GLenum | `target`.
-> GLsizei | `count`.
-> Ptr GLuint | `params` pointing to `count` elements of type `GLuint`.
-> m () |